var ical = require('ical');
var moment = require('moment');

var events = [];


ical.fromURL('https://p01-calendarws.icloud.com/ca/subscribe/1/n6x7Farxpt7m9S8bHg1TGArSj7J6kanm_2KEoJPL5YIAk3y70FpRo4GyWwO-6QfHSY5mXtHcRGVxYZUf7U3HPDOTG5x0qYnno1Zr_VuKH2M', {}, function(err, data) {
	events = [];

	for (var e in data) {
		var event = data[e];

		if (event.type === 'VEVENT') {
			var startDate = moment(new Date(event.start));
			var today = moment().startOf('day');

			if (startDate > today) {
				events.push({
					title: event.summary,
					startDate: startDate.format('x')
				});
			}
		}
	}

	events.sort(function(a,b) {
		return a.startDate - b.startDate;
	});
	//console.log(events);
});

